@tailwind base;
@tailwind components;
@tailwind utilities;

nav.navbar.stickied .navbar-brand {
  opacity: 1;
  display: flex;
  animation: fadeIn 400ms;
}

nav.navbar .nav-items {
  grid-template-columns: repeat(2, minmax(0, 1fr));
}

nav.navbar.stickied .nav-items {
  grid-template-columns: repeat(3, minmax(0, 1fr));
}

@keyframes fadeIn {
  0% {
    display: flex;
    opacity: 0;
  }

  100% {
    display: flex;
    opacity: 1;
  }
}

@media (min-width: 768px) {
  .table-of-contents {
    height: calc(100vh - 12rem);
    overflow-y: auto;
  }
}

@media (max-width: 767px) {
  .table-of-contents {
    height: calc(100vh - 4rem);
    overflow-y: auto;
  }
}

.table-of-contents ol li {
  padding: 0.5rem 0;
}

.table-of-contents ol li a {
  transition-property: color;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 200ms;
}

.table-of-contents ol li a:hover {
  color: #facc15; /* yellow-400 */
}

.table-of-contents ol li a.active {
  color: #facc15; /* yellow-400 */
  font-weight: 600;
}

.offcanvas-backdrop {
  background-color: #061228; /* badgie-blue-darker-400 */
  opacity: 0.7;
  height: 100vh;
  width: 100vw;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 11;
}

/* fixes horizontal scroll ignoring parent's right padding */
pre code {
  display: inline-block;
  margin-right: 1em;
}

.code-block-container {
  border-radius: 0.5rem;
  background-color: #061228;
  overflow: hidden;
  border: 1px solid #006ca5;
}

.code-block-container pre[class*="language-"],
.code-block-container code[class*="language-"] {
  background-color: #061228;
}

.code-block-container pre[class*="language-"] {
  margin: 0;
  border-radius: 0.5rem;
  border: none;
}

.code-block-container code[class*="language-"] {
  border-radius: 0;
}

.code-block-container code[class*="language-"] .comment {
  color: #a0a0a0;
}

.code-block-container .code-block-header {
  color: #38bdf8;
  background-color: #082e5e;
  border-bottom: 0.1rem solid #006ca5;
  display: flex;
  justify-content: flex-end;
  padding: 0.5rem 1rem;
}

.code-block-container .btn-copy-code {
  border: 0.1em solid #38bdf8;
  border-radius: 0.25em;
  padding: 0.2em 0.5em;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.code-block-container .btn-copy-code:hover,
.code-block-container .btn-copy-code:active {
  background-color: #38bdf8;
  color: #082e5e;
}

.code-block-container .btn-copy-code:focus-visible {
  background-color: #38bdf8;
  color: #082e5e;
  box-shadow: 0 0 0 0.25rem rgba(56, 189, 248, 0.5);
  outline: 0;
}
